DCSCAL(3)

SYNOPSIS
SUBROUTINE DCSCAL (A, NRDA, NROW, NCOL, COLS, COLSAV, ROWS, + ROWSAV, ANORM, SCALES, ISCALE, IC)

NAME
dcscal - Subsidiary to DBVSUP and DSUDS

LIBRARY
SLATEC

TYPE
DOUBLE PRECISION (CSCALE-S, DCSCAL-D)

AUTHOR
Watts, H. A., (SNLA)

DESCRIPTION
This routine scales the matrix A by columns when needed.

SEE ALSO
DBVSUP, DSUDS

ROUTINES CALLED
DDOT

REVISION HISTORY (YYMMDD)
750601 DATE WRITTEN
890531 Changed all specific intrinsics to generic. (WRB)
890831 Modified array declarations. (WRB)
890911 Removed unnecessary intrinsics. (WRB)
890911 REVISION DATE from Version 3.2
891214 Prologue converted to Version 4.0 format. (BAB)
900328 Added TYPE section. (WRB)
910722 Updated AUTHOR section. (ALS)